Subject: Re: bug#51762: 13.0.14; environment formating

From: Ikumi Keita <[email-masked]>
Date: Fri, 12 Nov 2021 19:19:15 +0900

Hi Pierre,

>>>>> "Pierre L. Nageoire" <[email-masked]> writes:
> Hi here is the environment before hitting C-c C-q C-e
>   %%
>   \begin{exoenonce}
>     On note alors
>     $$ \fundefline p{A \times B}{A}{(x,y)}{x}\ %%
>     \et\ \fundefline q{A \times B}{B}{(x,y)}{y}\ %%
>     \text{les projections canoniques}\ .$$
>   \end{exoenonce}

>   And after formating operation I get :
>     %%
>   \begin{exoenonce}
>     On note alors
>     $$ \fundefline p{A \times B}{A}{(x,y)}{x}\ %%
>     \et\ \fundefline q{A \times
>       B}{B}{(x,y)}{y}\ %% \text{les projections canoniques}\ .$$
>   \end{exoenonce}

>   Causing a part of code to be commented that should not and for
>   instance here an unbalanced dollar that makes the code completly
>   unexecutable !

Thanks for the report. I can repoduce the issue.

It seems that the regexp in `LaTeX-fill-region-as-paragraph' to identify
a code comment isn't wise enough:
----------------------------------------------------------------------
          (if (re-search-forward
               (concat "\\("
                       ;; Code comments.
                       "\\([^ \r\n%\\]\\|\\\\%\\)\\([ \t]\\|\\\\\\\\\\)*"
                       TeX-comment-start-regexp
                       "\\|"
[...]
----------------------------------------------------------------------
This doesn't match lines which end with "\ %%". I'll try to find
something better.

Regards,
Ikumi Keita